<?php
class Zoombox extends PluginsClassiques {

	protected $cnx = null;
	const TABLE = 'zoombox';
	public $table = SELF::TABLE;
	public $config = array(
		'selecteurs'	=> null,
		'theme' 		=> 'zoombox',
		'opacity'		=> 0.8,
		'duration'		=> 800,
		'animation'		=> 1,
		'width'			=> 600,
		'height'		=> 400,
		'gallery'		=> true,
		'autoplay'		=> 0
	);
	public $themes = array(
		'Zoombox' 			=> 'zoombox',
		'Lightbox'			=> 'lightbox',
		'Pretty photo'		=> 'prettyphoto',
		'Dark Pretty photo'	=> 'darkprettyphoto',
		'Simple'			=> 'simple'
	);
	public $bddvars = array(
		'selecteurs',
		'theme',
		'opacity',
		'duration',
		'animation',
		'width',
		'height',
		'gallery',
		'autoplay'
	);

	public function __construct() {
		parent::__construct($this->table);

		if(!$this->cnx){
			$this->cnx = new Cnx();
		}
	}

	public function charger(){
		return $this->getVars("SELECT * FROM `".$this->table."`");		
	}

	public function init() {
		$sql = "CREATE TABLE `".$this->table."` (
		  			`selecteurs` varchar(255) NOT NULL,
		  			`theme` varchar(30) NOT NULL,
		  			`opacity` float NOT NULL,
		  			`duration` int(3) NOT NULL,
		  			`animation` boolean NOT NULL,
		  			`width` int(4) NOT NULL,
		  			`height` int(4) NOT NULL,
		  			`gallery` boolean NOT NULL,
		  			`autoplay` boolean NOT NULL
				);";
		mysql_query($sql, $this->cnx->link) or die(mysql_error());

		$sql = "INSERT INTO `".$this->table."` VALUES(
			'".$this->config['selecteurs']."',
			'".$this->config['theme']."',
			'".$this->config['opacity']."',
			'".$this->config['duration']."',
			'".$this->config['animation']."',
			'".$this->config['width']."',
			'".$this->config['height']."',
			'".$this->config['gallery']."',
			'".$this->config['autoplay']."'
		)";
		mysql_query($sql, $this->cnx->link) or die(mysql_error());

	}

	public function destroy(){
		$sql = "DROP TABLE `".$this->table."`";
		mysql_query($sql, $this->cnx->link) or die(mysql_error());
	}

	public function post(){
		global $res;

		$this->charger();

		$zoombox_head .= '<link rel="stylesheet" href="client/plugins/'.$this->table.'/css/zoombox.css" />';
		$zoombox_head .= '<script src="client/plugins/'.$this->table.'/js/zoombox.js" type="text/javascript"></script>';
		$zoombox_head .= '<script type="text/javascript">
							jQuery(function($){
								$("'.$this->selecteurs.'").addClass("zoombox");
		    					$(".zoombox").zoombox({
		    						theme       : "'.$this->theme.'",
					                opacity     : '.$this->opacity.',
					                duration    : '.$this->duration.',
					                animation   : '.$this->animation.',
					                width       : '.$this->width.',
					                height      : '.$this->height.',
					                gallery     : '.$this->gallery.',
					                autoplay : '.$this->autoplay.'
		    					});
		    				});
						</script>';

		$res = str_replace("#ZOOMBOX_HEAD", $zoombox_head, $res);		
	}

	public function configurer($params){

		$fields = array();
		foreach ($params as $k => $v) {
			if($k != 'action'){
				$fields[] = "$k = '$v'";
			}
		}
		
		if(!empty($fields)){
			$fields = implode(',', $fields);
		
			$sql = "UPDATE zoombox SET ".$fields;
			mysql_query($sql, $this->cnx->link);
		}
	}

}