<?php
	include_once(realpath(dirname(__FILE__)) . "/../../../fonctions/authplugins.php");
	autorisation("zoombox");

	$zoombox = new Zoombox();

	if($action && $action == 'configurer'){	
		$zoombox->configurer($_POST);
	}

	$zoombox->charger();
?>

<div id="contenu_int"> 
	<p>
		<a href="accueil.php" class="lien04">Accueil </a>
		<img src="gfx/suivant.gif" width="12" height="9" border="0" />
		<a href="module_liste.php" class="lien04">Modules</a> 
		<img src="gfx/suivant.gif" width="12" height="9" border="0" />
		<a href="module.php?nom=zoombox" class="lien04">Zoombox </a>
	</p>

	<!-- Début de la colonne de gauche -->  
	<div id="bloc_description">
		<div class="entete_liste_config">
			<div class="titre">Configuration actuelle de Zoombox</div>
			<div class="fonction_valider"><a href="javascript:void(0);">Enregistrer</a></div>
		</div>
		<form method="post" action="<?php echo $_SERVER['PHP_SELF'] ?>?nom=zoombox" id="zoombox">
			<table width="100%" cellpadding="5" cellspacing="0" class="tabclient">
				<tr class="fonce">
					<td class="designation">Sélecteurs (comme en CSS)</td>
					<td>
						<input type="text" name="selecteurs" value="<?php echo $zoombox->selecteurs; ?>"/>
					</td>
				</tr>
				<tr class="claire">
					<td class="designation">Théme</td>
					<td>
						<select name="theme">
							<?php foreach($zoombox->themes as $k => $v): ?>
								<option value="<?php echo $v; ?>" <?php if($zoombox->theme == $v) echo "selected='selected'" ?>><?php echo $k; ?></option>
							<?php endforeach; ?>
						</select>
					</td>
				</tr>
				<tr class="fonce">
					<td class="designation">Opacité du masque (de 0 à 1)</td>
					<td>
						<input type="text" name="opacity" value="<?php echo $zoombox->opacity; ?>"/>
					</td>
				</tr>
				<tr class="claire">
					<td class="designation">Animation</td>
					<td>
						<input type="radio" name="animation" id="animation_true" <?php if($zoombox->animation) echo "checked='checked'" ?> value="1" />
						<label for="animation_true">Oui</label>
						<input type="radio" name="animation" id="animation_false" <?php if(!$zoombox->animation) echo "checked='checked'" ?> value="0" />
						<label for="animation_false">Non</label>
					</td>
				</tr>
				<tr class="fonce">
					<td class="designation">Durée de l'animation (en ms)</td>
					<td>
						<input type="text" name="duration" value="<?php echo $zoombox->duration; ?>" />
					</td>
				</tr>			
				<tr class="claire">
					<td class="designation">Largeur par défaut (en px)</td>
					<td>
						<input type="text" name="width" value="<?php echo $zoombox->width; ?>" />
					</td>
				</tr>
				<tr class="fonce">
					<td class="designation">Hauteur par défaut (en px)</td>
					<td>
						<input type="text" name="height" value="<?php echo $zoombox->height; ?>" />
					</td>
				</tr>
				<tr class="claire">
					<td class="designation">Mode galerie</td>
					<td>
						<input type="radio" name="gallery" id="gallery_true" <?php if($zoombox->gallery) echo "checked='checked'" ?> value="1" />
						<label for="gallery_true">Oui</label>
						<input type="radio" name="gallery" id="gallery_false" <?php if(!$zoombox->gallery) echo "checked='checked'" ?> value="0" />
						<label for="gallery_false">Non</label>
					</td>
				</tr>
				<tr class="fonce">
					<td class="designation">Lecture automatique</td>
					<td>
						<input type="radio" name="autoplay" id="autoplay_true" <?php if($zoombox->autoplay) echo "checked='checked'" ?> value="1" />
						<label for="autoplay_true">Oui</label>
						<input type="radio" name="autoplay" id="autoplay_false" <?php if(!$zoombox->autoplay) echo "checked='checked'" ?> value="0" />
						<label for="autoplay_false">Non</label>
					</td>
				</tr>
			</table>
			<input type="hidden" name="action" value="configurer" />
		</form>
	</div>
</div>

<script type="text/javascript">
	jQuery(function($){
		$('.fonction_valider a').click(function(){
			$('form#zoombox').submit();
		});
	});
</script>